cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maring, Steve" <Steve_Mar...@tvratings.com>
Subject RE: cocoon1.8 --> cocoon2 migration problems
Date Wed, 25 Apr 2001 17:41:28 GMT
I replaced the jaxp.jar, xerces.jar, and xalan.jar in the Tomcat-3.2.1 lib
directory with more rescent versions.

I feel like I'm getting REALLY close now.  I'm know getting problems with my
sitemap.  I did not change it at all from what I CVSed last night.  Here is
what I'm getting:

org.apache.cocoon.ProcessingException: Language
Exception:org.apache.cocoon.components.language.LanguageException: Error
compiling sitemap_xmap:
Line 0, column 0:
C:\jakarta-tomcat-3.2.1\work\localhost_8080%2Fcocoon\org\apache\cocoon\www\s
itemap_xmap.java:69: '}' expected.
  private Map wildcardMatch (
                             ^
Line 0, column 0:
C:\jakarta-tomcat-3.2.1\work\localhost_8080%2Fcocoon\org\apache\cocoon\www\s
itemap_xmap.java:70: Type expected.

^

	at
org.apache.cocoon.components.language.generator.ProgramGeneratorImpl.load(Pr
ogramGeneratorImpl.java:163)


-----Original Message-----
From: Berin Loritsch [mailto:bloritsch@apache.org]
Sent: Wednesday, April 25, 2001 11:50 AM
To: cocoon-users@xml.apache.org
Subject: Re: cocoon1.8 --> cocoon2 migration problems


"Maring, Steve" wrote:
> 
> Strange, but removing the cocoon2.jar from the system classpath fixed that
> problem.  Thanks.

Not strange at all.  Once you have a grip on Classloaders, you'll understand
what can and can't be done.  This is part of how Java implements security,
so it's not liable to change soon.

> Now Cocoon2 itself is giving me formatted exceptions.  The next one says:
> 
> org.xml.sax.SAXException: Could not get valid parserNamespace not
supported
> by SAXParser
>         at
> org.apache.cocoon.components.parser.JaxpParser.parse(JaxpParser.java:55)
> 
> Was I supposed to do something with JAXP?

Cocoon 2 requires a JAXP 1.1 compliant parser.  Make sure that you don't
have
any older parsers in the classpath ahead of the JAXP 1.1 compliant parser.
An example of a proper parser is Xerces 1.2.3 or better.  Cocoon 2 ships
with
Xerces 1.3.0 currently.

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message